Bug 227848 - security/dehydrated: update to v0.6.2
Summary: security/dehydrated: update to v0.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-29 13:08 UTC by Sascha Holzleiter
Modified: 2019-07-01 13:58 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly+


Attachments
dehydrated v0.6.2 patch (907 bytes, patch)
2018-04-29 13:08 UTC, Sascha Holzleiter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Holzleiter 2018-04-29 13:08:12 UTC
Created attachment 192904 [details]
dehydrated v0.6.2 patch

The following patch updates dehydrated to v0.6.2

poudriere testport (amd64) -> ok
Comment 1 Yuri Victorovich freebsd_committer 2018-04-29 22:43:52 UTC
Committed with changes.
Thank you for the update!
Comment 2 commit-hook freebsd_committer 2018-04-29 22:44:48 UTC
A commit references this bug:

Author: yuri
Date: Sun Apr 29 22:43:48 UTC 2018
New revision: 468668
URL: https://svnweb.freebsd.org/changeset/ports/468668

Log:
  security/dehydrated: Update 0.6.1-7 -> 0.6.2

  Port changes:
  * Add bash to RUN_DEPENDS
  * Remove BASH and ZSH options as per PHB
  * Change PORTDOCS to * for simplicity
  * Silence some commands

  PR:		227848
  Submitted by:	Sascha Holzleiter <sascha@root-login.org> (maintainer)

Changes:
  head/security/dehydrated/Makefile
  head/security/dehydrated/distinfo
Comment 3 Sascha Holzleiter 2018-04-29 23:28:59 UTC
I get the PORTDOCS changes, thanks for that!

But why where the OPTIONS removed? I get that the PHB recommends not defining OPTIONS merely for the installation of completion files. But the OPTIONS were used to actually change the ports dependency on bash or zsh which is intentional!
Comment 4 Yuri Victorovich freebsd_committer 2018-04-29 23:50:00 UTC
(In reply to Sascha Holzleiter from comment #3)
> But why where the OPTIONS removed? I get that the PHB recommends not defining OPTIONS merely for the installation of completion files. But the OPTIONS were used to actually change the ports dependency on bash or zsh which is intentional!

Ports shouldn't add dependencies just for completions to run. The new policy is that completion files are always installed unconditionally, and they will work when corresponding shells are installed. But ports shouldn't install shells themselves.

Hope this helps!

Yuri
Comment 5 Sascha Holzleiter 2018-04-30 01:00:04 UTC
As stated in my last comment i understand that. This port used them for something else!

This port changed the installed scripts to use the chosen shell so you do not need to install another shell just because of this port. If you were a bash user you could just leave the defaults and the script and port would depend on the shell your are already using. If you were a zsh user you could use the ZSH option so the script and the port only depended on zsh and there was no need to install bash. The options took care of rewriting the she-bang lines in the installed scripts to the shell of your choice and registering the correct dependency.
Comment 6 Yuri Victorovich freebsd_committer 2018-04-30 01:23:19 UTC
(In reply to Sascha Holzleiter from comment #5)

I see. Sorry about this. I will correct it.
Comment 7 commit-hook freebsd_committer 2018-04-30 01:50:14 UTC
A commit references this bug:

Author: yuri
Date: Mon Apr 30 01:49:56 UTC 2018
New revision: 468669
URL: https://svnweb.freebsd.org/changeset/ports/468669

Log:
  security/dehydrated: Restore ZSH and BASH options because they make scripts to use these shells

  The options were deleted mistakenly in the previous commit.
  Additionally, moved plist into pkg-plist file, and added @sample instructions for relevant samples.

  PR:		227848
  Reported by:	Sascha Holzleiter <sascha@root-login.org> (maintainer)

Changes:
  head/security/dehydrated/Makefile
  head/security/dehydrated/pkg-plist
Comment 8 Yuri Victorovich freebsd_committer 2018-04-30 01:50:20 UTC
Restored the options.
Comment 9 commit-hook freebsd_committer 2019-07-01 13:55:04 UTC
A commit references this bug:

Author: koobs
Date: Mon Jul  1 13:54:59 UTC 2019
New revision: 505573
URL: https://svnweb.freebsd.org/changeset/ports/505573

Log:
  MFH: r468669 r505499 r505571

  security/dehydrated: Restore ZSH and BASH options because they make scripts to use these shells

  The options were deleted mistakenly in the previous commit.
  Additionally, moved plist into pkg-plist file, and added @sample instructions for relevant samples.

  PR:		227848
  Reported by:	Sascha Holzleiter <sascha@root-login.org> (maintainer)

  security/dehydrated: update to 0.6.4

  PR:		238820
  Submitted by:	Sascha Holzleiter <sascha@root-login.org> (maintainer)

  security/dehydrated: Update to 0.6.5

  While I'm here, pet portlint:

    WARN: Makefile: extra item placed in the USES/USE_x section, for example, "NO_BUILD".

  Changelog:

    https://github.com/lukas2511/dehydrated/blob/v0.6.5/CHANGELOG

  PR:		238918
  Submitted by:	Sascha Holzleiter <sascha root-login org> (maintainer)

  Approved by:	ports-secteam (blanket: bugfix release(s))

Changes:
_U  branches/2019Q2/
  branches/2019Q2/security/dehydrated/Makefile
  branches/2019Q2/security/dehydrated/distinfo